package dvp.swing.bases.boutons;

import java.awt.FlowLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JButton;

public class FenetreBoutonsActions extends JFrame{
	public FenetreBoutonsActions(){
		super();
		
		build();//On initialise notre fentre
	}
	
	private void build(){
		setTitle("Fentre qui affiche des boutons"); //On donne un titre  l'application
		setSize(320,240); //On donne une taille  notre fentre
		setLocationRelativeTo(null); //On centre la fentre sur l'cran
		setResizable(true); //On permet le redimensionnement
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); //On dit  l'application de se fermer lors du clic sur la croix
		setContentPane(buildContentPane());
	}
	
	private JPanel buildContentPane(){
		JPanel panel = new JPanel();
		panel.setLayout(new FlowLayout());
		
		JButton bouton = new JButton(new IciAction("Cliquez ici !"));
		panel.add(bouton);
		
		JButton bouton2 = new JButton(new LaAction("Ou l"));
		panel.add(bouton2);
		
		return panel;
	}
	
	public static void main(String[] args) {
		//On cre une nouvelle instance de notre FenetreBoutons
		FenetreBoutonsActions fenetre = new FenetreBoutonsActions();
		fenetre.setVisible(true);//On la rend visible
	}
}