package dvp.swing.bases.listes.modeles;

import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class FenetreListes extends JFrame{
	private JComboBox liste1;
	private JComboBox liste2;
	
	public FenetreListes(){
		super();
		
		build();//On initialise notre fentre
	}
	
	private void build(){
		setTitle("Fentre qui propose une liste de choix"); //On donne un titre  l'application
		setSize(320,240); //On donne une taille  notre fentre
		setLocationRelativeTo(null); //On centre la fentre sur l'cran
		setResizable(true); //On permet le redimensionnement
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); //On dit  l'application de se fermer lors du clic sur la croix
		setContentPane(buildContentPane());
	}
	
	private JPanel buildContentPane(){
		JPanel panel = new JPanel();
		panel.setLayout(new FlowLayout());
		
		String[] strings = new String[]{"Element 1", "Element 2", "Element 3", "Element 4", "Element 5"};

		liste1 = new JComboBox(new StringModel(strings));
		
		panel.add(liste1);
		
		JButton bouton = new JButton(new CopierAction(this, "Copier"));
		
		panel.add(bouton);
		
		liste2 = new JComboBox(new ModifiableStringModel(strings));
		
		panel.add(liste2);
		
		JButton bouton2 = new JButton(new SupprimmerAction(this, "Enlever"));
		
		panel.add(bouton2);
		
		JButton bouton3 = new JButton(new ViderAction(this, "Vider"));
		
		panel.add(bouton3);
		
		return panel;
	}
	
	public StringModel getModeleListe1(){
		return (StringModel)liste1.getModel();
	}
		
	public ModifiableStringModel getModeleListe2(){
		return (ModifiableStringModel)liste2.getModel();
	}
	
	public static void main(String[] args) {
		//On cre une nouvelle instance de notre FenetreTexte
		FenetreListes fenetre = new FenetreListes();
		fenetre.setVisible(true);//On la rend visible
	}
}